ReflectionFunctionAbstract::isClosure
ReflectionFunctionAbstract::isGenerator
ReflectionFunctionAbstract
PHP Manual

# ReflectionFunctionAbstract::isDeprecated

(PHP 5)

ReflectionFunctionAbstract::isDeprecated — Checks if deprecated

### Description

public bool ReflectionFunctionAbstract::isDeprecated ( void )

Checks whether the function is deprecated.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if it's deprecated, otherwise `FALSE`

### Examples

Example #1 ReflectionFunctionAbstract::isDeprecated() example

`<?php
$rf = new ReflectionFunction('ereg');
var_dump($rf->isDeprecated());
?>`

The above example will output:

    bool(true)

### See Also

- ReflectionFunctionAbstract::getDocComment() - Gets doc comment

ReflectionFunctionAbstract::isClosure
ReflectionFunctionAbstract::isGenerator
ReflectionFunctionAbstract
PHP Manual